Skip to main content

Get Agent

Retrieve a single agent by ID, including its full workflow definition
1 min read
get/api/v1/workflow/fetch/{workflow_id}
Request example
Response
get/api/v1/workflow/fetch/{workflow_id}

Returns the full agent including workflow_definition (nodes and edges), template_context_variables, workflow_configurations, and run statistics.

Path parameters

workflow_idintegerrequired#

Headers

authorizationstring · null#
X-API-Keystring · null#

Responses

application/json
Successful Response
idintegerrequired#
namestringrequired#
statusstringrequired#
created_atstringrequired#
workflow_definitionobjectrequired#
current_definition_idinteger · nullrequired#
Show child attributes
template_context_variablesobject · null#
Show child attributes
call_disposition_codesobject · null#
Show child attributes
total_runsinteger · null#
Show child attributes
workflow_configurationsobject · null#
Show child attributes
version_numberinteger · null#
Show child attributes
version_statusstring · null#
Show child attributes
workflow_uuidstring · null#
Show child attributes